# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['cloudpath', 'cloudpath.base', 'cloudpath.cloud']

package_data = \
{'': ['*']}

install_requires = \
['typer>=0.0.8,<0.0.9']

extras_require = \
{'aws': ['boto3>=1.11.9,<2.0.0'],
 'gcp': ['google-cloud-storage>=1.25.0,<2.0.0']}

entry_points = \
{'console_scripts': ['storage = cloudpath.main:app']}

setup_kwargs = {
    'name': 'cloudpath',
    'version': '0.0.1',
    'description': 'Pathlib interfaces with GS and S3 cloud storage support.',
    'long_description': '# cloudpath\n\n![](https://img.shields.io/github/license/wolfgangwazzlestrauss/cloudpath)\n![](https://github.com/wolfgangwazzlestrauss/cloudpath/workflows/build/badge.svg)\n![](https://img.shields.io/github/repo-size/wolfgangwazzlestrauss/cloudpath)\n\n*cloudpath* contains [pathlib](https://docs.python.org/3/library/pathlib.html) interfaces to Amazon\nS3 and Google cloud storage buckets. The `cloudpath` classes, `GSPath` and `S3Path`, will\nimplicitly download and upload the storage bucket files, that are read or written. Most calls to\n`pathlib.Path` can be replaced by `GSPath` or `S3Path`, without having to write any extra code.\n\n\n## Getting Started\n\n### Installation\n\n*cloudpath* can be installed for Python 3.8+ with\n```bash\npip install --user cloudpath\n```\n\n\n## Contributing\n\nSince *cloudpath* is in an early development phase, it is not currently open to contributors.\n\n\n## License\n\nLicensed under the [MIT](license.txt) license.\n\n',
    'author': 'Macklan Weinstein',
    'author_email': 'wolfgangwazzlestrauss@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/wolfgangwazzlestrauss/cloudpath',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
